Update Phone with MFA Token
Sends a verification OTP to the provided Phone number as part of the process to update the Phone number used for Multi-Factor Authentication.
Sends a verification OTP to the provided Phone number as part of the process to update the Phone number used for Multi-Factor Authentication.
Tenant API Key for authentication
In: query
Query Parameters
Second factor token
SMS template name to be used for sending the 2FA code to the User.
Boolean flag to enforce sending SMS content via Voice.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The Phone number of the User.
Response Body
application/json
application/json
application/json
curl -X PUT "https://api.loginradius.com/identity/v2/auth/login/2fa/sms/phone?secondfactorauthenticationtoken=4asdf575-5678-4065-b717-fa0n7i5ca81a&smstemplate2fa=SMS-Template&isvoiceotp=true" \ -H "Content-Type: application/json" \ -d '{ "phoneno2fa": "+1234567890", "description": "This model is used in changing the Phone number." }'{
"AccountSid": "ACXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"Sid": "SMXXXXXXXXXXXXXXXX"
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The apikey is a required parameter."
}{
"ErrorCode": 6003,
"Message": "Trial plan expired",
"Description": "The trial plan has expired. To continue using the service, please contact support."
}Reset PIN with Reset Token PUT
Allows a User to reset their PIN by providing a reset token received via Email and a new PIN, enabling secure PIN recovery when the User forgets their PIN.
Update Phone by token PUT
Sends a verification OTP to the provided Phone number as part of the process to update the Phone number used for MFA.